Package org.eclipse.lemminx.extensions.contentmodel.participants

## Class ContentModelCompletionParticipant

- java.lang.Object
- - org.eclipse.lemminx.services.extensions.completion.CompletionParticipantAdapter
  - - org.eclipse.lemminx.extensions.contentmodel.participants.ContentModelCompletionParticipant

All Implemented Interfaces:
  `ICompletionParticipant`

    public class ContentModelCompletionParticipant
    extends CompletionParticipantAdapter

Extension to support XML completion based on content model (XML Schema completion, etc)

### Constructor Summary

Constructors
`ContentModelCompletionParticipant()`

### Method Summary

All Methods Instance Methods Concrete Methods
`ICompletionItemResolveParticipant` `getResolveCompletionItemParticipant​(String participantId)` Returns the completion item resolver that corresponds to the given participant id or null otherwise.
`void` `onAttributeName​(boolean generateValue, ICompletionRequest request, ICompletionResponse response, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)`
`void` `onAttributeValue​(String valuePrefix, ICompletionRequest request, ICompletionResponse response, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)` Collects and stores attribute value completion items within the provided completion response `response`
`void` `onTagOpen​(ICompletionRequest request, ICompletionResponse response, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)`
`void` `onXMLContent​(ICompletionRequest request, ICompletionResponse response, org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)`

### Methods inherited from class org.eclipse.lemminx.services.extensions.completion.CompletionParticipantAdapter

`onDTDSystemId`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContentModelCompletionParticipant

    public ContentModelCompletionParticipant()

### Method Detail

#### onTagOpen

    public void onTagOpen​(ICompletionRequest request,
                          ICompletionResponse response,
                          org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)
                   throws Exception

Specified by:
  `onTagOpen` in interface `ICompletionParticipant`
Overrides:
  `onTagOpen` in class `CompletionParticipantAdapter`
Throws:
  `Exception`

#### onAttributeName

    public void onAttributeName​(boolean generateValue,
                                ICompletionRequest request,
                                ICompletionResponse response,
                                org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)
                         throws Exception

Specified by:
  `onAttributeName` in interface `ICompletionParticipant`
Overrides:
  `onAttributeName` in class `CompletionParticipantAdapter`
Throws:
  `Exception`

#### onAttributeValue

    public void onAttributeValue​(String valuePrefix,
                                 ICompletionRequest request,
                                 ICompletionResponse response,
                                 org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)
                          throws Exception

Description copied from interface: `ICompletionParticipant`
Collects and stores attribute value completion items within the provided completion response `response`

Specified by:
  `onAttributeValue` in interface `ICompletionParticipant`
Overrides:
  `onAttributeValue` in class `CompletionParticipantAdapter`
Parameters:
  `valuePrefix` - the attribute value before the offset in which completion was invoked
  `request` - the completion request
  `response` - the completion response
Throws:
  `Exception`

#### onXMLContent

    public void onXMLContent​(ICompletionRequest request,
                             ICompletionResponse response,
                             org.eclipse.lsp4j.jsonrpc.CancelChecker cancelChecker)
                      throws Exception

Specified by:
  `onXMLContent` in interface `ICompletionParticipant`
Overrides:
  `onXMLContent` in class `CompletionParticipantAdapter`
Throws:
  `Exception`

#### getResolveCompletionItemParticipant

    public ICompletionItemResolveParticipant getResolveCompletionItemParticipant​(String participantId)

Description copied from interface: `ICompletionParticipant`
Returns the completion item resolver that corresponds to the given participant id or null otherwise.

Parameters:
  `participantId` - the participant id to find the completion item resolver for
Returns:
  the completion item resolver that corresponds to the given participant id or null otherwise